﻿// Copyright (c) 2006 Google Inc.
// All rights reserved
// 
// This file is part of the Google Desktop SDK and may be freely copied and used.
// To download the latest version of the SDK please visit 
// http://desktop.google.com/

function onOpen() 
{
	if(options.getValue("IsCheckboxEnabled") == "")
	{
		options.putValue("IsCheckboxEnabled", "ON");
	}
	if(options.getValue("PollInterval") == "")
	{
		options.putValue("PollInterval", "1");
	}

	checkboxEnabled.value = (options.getValue("IsCheckboxEnabled") == "ON");
	PollingInterval.value = options.getValue("PollInterval");
}

function onCancel() 
{
  // No settings will be saved.
}

function onOk() 
{
  // Save all the settings only if required
  options.putValue("IsCheckboxEnabled", checkboxEnabled.value ? "ON" : "OFF");
  options.putValue("PollInterval", PollingInterval.value);
  //OnStart();
  //options.putValue("checkboxa", checkboxA.value ? "ON" : "OFF");
  //options.putValue("checkboxb", checkboxB.value ? "ON" : "OFF");
 // options.putValue("checkboxc", checkboxC.value ? "ON" : "OFF");
}
